/*
 * Author: Jake G 
 * Date: 2024 
 * filename: load.c
 * description: module_purpose
 */

#ifndef __AVR_ATtiny404__
#define __AVR_ATtiny404__
#endif


#include <avr/io.h>
#include "load.h"


#ifndef UNIT_TESTING
    #include "ADC.h"
    #include "RegEdit.h"
#else
    #include "MockADC/MockADC.h"
    #include "MockRegEdit.h"
#endif



void Load_HandleLoadPortA(uint8_t adc_pin, uint8_t out_pin)
{
    ADC_Init(adc_pin);
    ADC_Enable();
    ADC_SetPin(adc_pin);
    uint16_t val = ADC_ReadValue(adc_pin);
    
    ADC_Disable();
    if(val > 527 && val < 1000){
        RegEdit_SetBit((void *) &PORTA.DIR, out_pin);
        RegEdit_SetBit((void *) &PORTA.OUT, out_pin);
    }
    else{
        RegEdit_ClearBit((void *) &PORTA.OUT, out_pin);
    }
}

void Load_HandleLoadPortB(uint8_t adc_pin, uint8_t out_pin)
{
    ADC_Init(adc_pin);
    ADC_Enable();
    ADC_SetPin(adc_pin);
    uint16_t val = ADC_ReadValue(adc_pin);
        
    ADC_Disable();
    if(val > 527 && val < 1000){
        RegEdit_SetBit((void *) &PORTB.DIR, out_pin);
        RegEdit_SetBit((void *) &PORTB.OUT, out_pin);
    }
    else{
        RegEdit_ClearBit((void *) &PORTB.OUT, out_pin);
    }
}
