/**
 * @brief Module for handling the ADC input from the load pins.
 * @details This file holds the functions for reading the ADC values.
 * @author Jake G
 * @date 2024
 * @copyright None
 * @file load.h
 */

#ifndef LOAD_H
#define	LOAD_H

/**
 * @brief Low Threshold
 *
 */
#define LOWTHRESH 527

/**
 * @brief High Threshold
 *
 */
#define HIGHTHRESH 1000

void Load_HandleLoadPortA(uint8_t adc_pin, uint8_t out_pin);
void Load_HandleLoadPortB(uint8_t adc_pin, uint8_t out_pin);

void Load_HandlePinLoads(void);


#endif	/* LOAD_H */

